// -*- C++ -*-
//
// ----------------------------------------------------------------------
//
// Brad T. Aagaard, U.S. Geological Survey
//
// This code was developed as part of the Computational Infrastructure
// for Geodynamics (http://geodynamics.org).
//
// Copyright (c) 2010-2014 University of California, Davis
//
// See COPYING for license information.
//
// ----------------------------------------------------------------------
//

/** @file libsrc/units/unitsfwd.hh
 *
 * @brief Forward declarations for spatialdata::units objects.
 *
 * Including this header file eliminates the need to use separate
 * forward declarations.
 */

#if !defined(spatialdata_units_unitsfwd_hh)
#define spatialdata_units_unitsfwd_hh

namespace spatialdata {
  namespace units {
    class Nondimensional;
    class Parser;
  } // units
} // spatialdata


#endif // spatialdata_units_unitsfwd_hh


// End of file 
